Subject: RE: bug#43672: 28.0.50; select-frame-set-input-focus does not set focus first time called

From: arthur miller <[email-masked]>
Date: Wed, 30 Sep 2020 17:36:37 +0000

I am sorry för the confusion, I was just to fast typing. Yes, you understand me correctly. It works correctly in emacsclient; not correctly when I run Emacs as a standalone process, either with -Q flag or without.

-------- Originalmeddelande --------
Från: martin rudalics <[email-masked]>
Datum: 2020-09-30 19:33 (GMT+01:00)
Till: Arthur Miller <[email-masked]>
Kopia: Lars Ingebrigtsen <[email-masked]>, [email-masked]
Ämne: Re: bug#43672: 28.0.50; select-frame-set-input-focus does not set focus first time called

> I just did; seems it has something with server/client to do.
 >
 > It works in emacsclient; not when running as ordinary process. Tryed
 > both as emacs -Q, and with my init file.

Do I understand you correctly that it works for emacsclient but not for
emacs itself?

 > I don't know how emacsclient works; maybe it just does not pass all
 > requests to the server correctly?

I'm confused.  Above you say that it works with emacsclient ...

martin